%global _hardened_build 1

Name:          compat-libwebp05
Version:       0.5.2
Release:       1%{?dist}
URL:           http://webmproject.org/
Summary:       Compat package with libwebp 0.5 libraries
# Additional IPR is licensed as well. See PATENTS file for details
License:       BSD
Source0:       http://downloads.webmproject.org/releases/webp/libwebp-%{version}.tar.gz

BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: giflib-devel
BuildRequires: libtiff-devel
BuildRequires: autoconf automake libtool
BuildRequires: freeglut-devel

# Explicitly conflict with older libwebp packages that ship libraries
# with the same soname as this compat package
Conflicts: libwebp < 0.6.0

%description
Compatibility package with libwebp 0.5 librarires.


%prep
%autosetup -p1 -n libwebp-%{version}


%build
autoreconf -vif
%ifarch aarch64
export CFLAGS="%{optflags} -frename-registers"
%endif
# Neon disabled due to resulting CFLAGS conflict resulting in
# inlining failed in call to always_inline '[...]': target specific option mismatch
%configure --disable-static --disable-libwebpmux \
           --disable-libwebpdemux --disable-libwebpdecoder \
           --disable-neon
%make_build V=1


%install
%make_install
find "%{buildroot}/%{_libdir}" -type f -name "*.la" -delete

# Remove files that aren't needed in a compat package
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_libdir}/pkgconfig/
rm -rf %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_datadir}


%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig


%files -n %{name}
%doc README PATENTS NEWS AUTHORS
%license COPYING
%{_libdir}/libwebp.so.6*


%changelog
* Thu Feb 02 2017 Kalev Lember <klember@redhat.com> 0.5.2-1
- libwebp 0.5 compat package
